fix dependencies of vp5 and vp6 decoders after r23915
authorAurelien Jacobs <aurel@gnuage.org>
Thu, 1 Jul 2010 16:09:38 +0000 (16:09 +0000)
committerAurelien Jacobs <aurel@gnuage.org>
Thu, 1 Jul 2010 16:09:38 +0000 (16:09 +0000)
they now also depends on cabac.o for ff_h264_norm_shift

Originally committed as revision 23937 to svn://svn.ffmpeg.org/ffmpeg/trunk

libavcodec/Makefile

index 8184e18..aae75fc 100644 (file)
@@ -372,9 +372,9 @@ OBJS-$(CONFIG_VORBIS_ENCODER)          += vorbis_enc.o vorbis.o \
                                           vorbis_data.o
 OBJS-$(CONFIG_VP3_DECODER)             += vp3.o vp3dsp.o
 OBJS-$(CONFIG_VP5_DECODER)             += vp5.o vp56.o vp56data.o vp56dsp.o \
-                                          vp3dsp.o
+                                          vp3dsp.o cabac.o
 OBJS-$(CONFIG_VP6_DECODER)             += vp6.o vp56.o vp56data.o vp56dsp.o \
-                                          vp3dsp.o vp6dsp.o huffman.o
+                                          vp3dsp.o vp6dsp.o huffman.o cabac.o
 OBJS-$(CONFIG_VP8_DECODER)             += vp8.o vp8dsp.o vp56.o vp56data.o \
                                           h264pred.o cabac.o
 OBJS-$(CONFIG_VQA_DECODER)             += vqavideo.o